Español


There are just a few things you must have for Boom Cards to play properly:        


  • Broadband internet connection. 


Either 


  • A browser that runs HTML5 such as Firefox, Chromium Edge (Jan 15, 2020 or later), Safari, or Chrome on a Chromebook, netbook, laptop or desktop. Silk on the Kindle, Safari on the iPad, or Chrome on a Chromebook or Android tablet OR
  • One of our free apps available from the App Store, Google Play or Kindle Fire App and a compatible device (see the respective stores for details).


MANAGED DEVICES AND NETWORKS

Contact your IT department to ensure they allow authentication (Google users) and access to our Boom Learning apps, if you are using those, and these websites.  


Compatible devices:


iPad or iPhone — OS 10 or later. We no longer support iOS 9 and earlier.


Kindle Fire — the app works with devices manufactured in 2014 and later. Use the Silk browser if an older Kindle Fire.


Chromebooks with App and Android Tablets — minimum version 5.1 (Lollipop) 


Interactive Whiteboards

Our users have had success with Boom Cards on

  • GetClearTouch panels
  • SMARTBoards
  • ActivPanel


and more. So long as the interactive whiteboard can interact with HTML5 browser apps, Boom Cards should work.


Teletherapy platforms

Our users who provide remote services have had success with

  • Zoom
  • Adobe Connect 
  • WebEx


Creating Boom Cards

You can only create Boom Cards in a browser, not an app. We find laptops or desktops are best for creating Boom Cards.


Whitelist

If your school filters to only allowed, please login 


https://boom-cards.s3-us-west-2.amazonaws.com/

https://wow.boomlearning.com

https://boom.cards